@import url("https://fonts.googleapis.com/css2?family=Darker+Grotesque:wght@300;400;500;600;700;800;900&display=swap");

body {
  --color--rose: #a2666f;
  --color-wafer: #e3dcc7;
  --color-wild-sand: #fff;
  --color-mine-shaft: #383838;
  --color-red-salsa: #fb3640;
  background-color: #f0f0f0;
}

.openMenu {
  opacity: 1;
}
.openCartContainer {
  opacity: 1;
}

.products_logo {
  position: absolute;
  top: 3.15vw;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
}

.products_logo-small {
  position: absolute;
  top: 10.15vw;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  visibility: hidden;
}

.products_logo-large {
  position: absolute;
  top: 3.5vw;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  visibility: hidden;
}

.products {
  width: 100vw;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr;
  grid-template-columns: 1fr;
  grid-gap: 25vh;
  position: relative;
}

.products_Info {
  width: 92vw;
  position: absolute;
  top: 20vh;
  left: 4vw;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 5vh;
}

.products_Info .products_Heading {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
}

.products_title {
  font-size: 4vw;
  font-weight: 500;
  text-transform: uppercase;
}

.products_text {
  font-size: 2vw;
  font-weight: 500;
  text-align: left;
}

.products_row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 2vw;
}

.products .product {
  width: 30vw;
  height: 92.5vh;
  position: relative;
  border-bottom: 0.2vh solid #383838;
}

.products .product .discoverBtn {
  top: 40%;
  left: 50%;
}

.products .product:hover .discoverBtn {
  opacity: 1;
}

.products .product .product_No {
  position: absolute;
  bottom: -3.75%;
  font-size: 1.25vw;
  font-weight: 501;
  z-index: 1;
}

.products .product img {
  width: 30vw;
  height: 80vh;
  -o-object-fit: cover;
  object-fit: cover;
}

.products .product .materialImg {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  -webkit-transition: all 0.25s ease;
  -o-transition: all 0.25s ease;
  transition: all 0.25s ease;
}

.products .product .product-Info {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
}

.products .product .product-Info span {
  font-size: 1.05vw;
  font-weight: 501;
  text-transform: uppercase;
}

.products .product .product-Info a {
  color: var(--color-red-salsa);
  font-size: 0.95vw;
  font-weight: 501;
  -webkit-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  transition: all 0.2s ease;
  cursor: pointer;
}

.products .product .product-Info a:hover {
  color: var(--color--rose);
  text-decoration: none;
}

.products .materialImg:hover {
  opacity: 1;
}

.products_row-10 {
  padding-bottom: 10vh;
}

/* ------------------------------------------------------------------ */
/* ---------------------------------Responsive--------------------------------- */
/* ------------------------------------------------------------------ */

/* For Mobile Portrait View */
@media screen and (max-device-width: 480px) and (orientation: portrait) {
  .products {
    grid-gap: 30vh;
  }

  .products_logo {
    visibility: hidden;
  }

  .products_logo-small {
    top: 12.5vw;
    visibility: visible;
  }

  .products_Info {
    top: 20vh;
    gap: 2.5vh;
  }

  .products_Info .products_Heading {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  .products_title {
    text-align: center;
    font-size: 8vw;
    padding-right: 2vw;
  }

  .products_text {
    font-size: 5vw;
    font-weight: 500;
    text-align: center;
  }

  .products_row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 15vh;
  }

  .products .product {
    width: 80vw;
    height: 60vh;
    position: relative;
    border-bottom: none;
  }

  .products .product img {
    width: 80vw;
    height: 60vh;
    -o-object-fit: cover;
    object-fit: cover;
  }

  .products .product .discoverBtn a {
    font-size: 5.5vw;
    padding: 1vw;
  }

  .products .product .product-Info {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }

  .products .product .product-Info span {
    font-size: 5vw;
  }

  .products .product .product-Info a {
    color: var(--color-mine-shaft);
    margin-top: 2vh;
    font-size: 4vw;
    border: 0.2vh solid #383838;
    padding: 0.75vw 0.75vw 1vw 0.75vw;
    border-radius: 1vw;
    -webkit-border-radius: 1vw;
    -moz-border-radius: 1vw;
    -ms-border-radius: 1vw;
    -o-border-radius: 1vw;
  }

  .products .product .product-Info a:hover {
    color: var(--color-red-salsa);
    text-decoration: none;
    border: 0.2vh solid #fb3640;
  }

  .products .product .product_No {
    position: absolute;
    bottom: -6%;
    font-size: 1.75vw;
    font-weight: 501;
    z-index: 1;
    display: none;
  }

  .products_row-10 {
    padding-bottom: 20vh;
  }
}

/* For mobile small */
@media screen and (max-device-width: 375px) and (orientation: portrait) {
  .products {
    grid-gap: 35vh;
  }

  .products_row {
    gap: 20vh;
  }

  .products .product {
    height: 65vh;
  }

  .products .product img {
    height: 65vh;
  }
}

/* Landscape mobile */
@media only screen and (min-width: 321px) and (orientation: landscape) {
  .products_logo {
    visibility: visible;
  }

  .products .product {
    width: 30vw;
    height: 97.5vh;
    position: relative;
    border-bottom: 0.2vh solid #383838;
  }

  .products .product .product-Info span {
    font-size: 1.5vw;
  }

  .products .product .product-Info a {
    font-size: 1.25vw;
  }

  .products .product .product_No {
    position: absolute;
    bottom: -6%;
    /* font-size: 1.75vw; */
    font-weight: 501;
    z-index: 1;
  }

  .products_row-10 {
    padding-bottom: 20vh;
  }
}

/* For tablet and medium sized */
@media screen and (min-device-width: 480px) and (max-device-width: 1024px) and (orientation: portrait) {
  .products {
    grid-gap: 37.5vh;
  }
  .products_logo {
    top: 6.75vw;
  }

  .products_Info {
    top: 20vh;
    gap: 2.5vh;
  }

  .products_Info .products_Heading {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  .products_title {
    text-align: center;
    font-size: 8vw;
    padding-right: 4vw;
  }

  .products_text {
    font-size: 5vw;
    font-weight: 500;
    text-align: center;
  }

  .products_row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 20vh;
  }

  .products .product {
    width: 80vw;
    height: 77.5vh;
    position: relative;
    border-bottom: none;
  }

  .products .product img {
    width: 80vw;
    height: 77.5vh;
    -o-object-fit: cover;
    object-fit: cover;
  }

  .products .product .discoverBtn a {
    font-size: 5.5vw;
    padding: 1vw;
  }

  .products .product .product-Info {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }

  .products .product .product-Info span {
    font-size: 5vw;
  }

  .products .product .product-Info a {
    font-size: 4vw;
  }

  .products .product .product_No {
    position: absolute;
    bottom: -6%;
    font-size: 1.75vw;
    font-weight: 501;
    z-index: 1;
    display: none;
  }

  .products_row-10 {
    padding-bottom: 20vh;
  }
}




@media screen and (min-width: 1921px) {
  .products_logo-small {
    visibility: hidden;
  }
  .products_logo {
    visibility: hidden;
  }
  .products_logo-large {
    visibility: visible;
  }
}
